Skip to content

Request details for a specific expense with mandatory notes

Request

Security
oauth2ClientCredentials(Required scopes: expenses:write)
Path
expenseIdstringrequired
Headers
org_wallet_refstring

Organization wallet reference, defaults to "1" if not provided

business_idstringrequired

Business identifier for the request

Bodyapplication/jsonrequired
notesstringrequired

Required notes explaining

Example:"Rejected due to insufficient documentation"
curl -i -X POST \
  'https://developer.boyahq.com/_mock/v2/openapi/expenses/requestDetails/{expenseId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'business_id: string' \
  -H 'org_wallet_ref: string' \
  -d '{
    "notes": "Rejected due to insufficient documentation"
  }'

Responses

Expense details request submitted successfully